
Installer - Bug #30780

updates needed for pulpcore 3.6 container registry

09/04/2020 04:32 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Foreman modules   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/281,

https://github.com/theforeman/puppet-pul

pcore/pull/119

  

Description

Pulp_container 2.0 now supports the container registry on the api app (not the content app).  It generates a url token and redirects

the 'client' (in this case katello) to /pulp/containers/  which needs to be redirected to the content app.

Associated revisions

Revision 8e71bbbf - 09/04/2020 05:32 PM - Justin Sherrill

Refs #30780 - set proper content origin setting

CONTENT_ORIGIN needs to be poitned at https:// for the

/pulp/container/ redirect to work properly

Revision bd6654b0 - 09/09/2020 01:09 PM - Justin Sherrill

Fixes #30780 - support pulp_container 2.0 registry

History

#1 - 09/04/2020 04:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/281 added

#2 - 09/04/2020 04:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/119 added

#3 - 09/09/2020 01:09 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#4 - 09/09/2020 02:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|bd6654b038c6dc41518fa59469808a4a28a88a73.

#5 - 11/30/2020 05:56 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.3.0

- Triaged changed from No to Yes
